## LassoLibSubject

LassoLibSubject — <lib:Subject>

## Functions

LassoLibSubject * | lasso_lib_subject_new ()

## Types and Values

struct | LassoLibSubject

## Description

Figure 20. Schema fragment for lib:Subject

    <xs:complexType name="SubjectType">
      <xs:complexContent>
        <xs:extension base="saml:SubjectType">
          <xs:sequence>
            <xs:element ref="IDPProvidedNameIdentifier"/>
          </xs:sequence>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>
    <xs:element name="Subject" type="SubjectType" substitutionGroup="saml:Subject"/>

## Functions

### lasso_lib_subject_new ()

    LassoLibSubject *
    lasso_lib_subject_new (void);

Creates a new LassoLibSubject object.

#### Returns

a newly created LassoLibSubject object

## Types and Values

### struct LassoLibSubject

    struct LassoLibSubject {
    	LassoSamlSubject parent;

    	/* <xs:element ref="IDPProvidedNameIdentifier"/> */
    	LassoSamlNameIdentifier *IDPProvidedNameIdentifier;
    };